/*
** devmap.c - Device mappings
**
** Copyright (c) 2005 Peter Eriksson <pen@lysator.liu.se>
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <ctype.h>
#include <unistd.h>

#include "pjc.h"

static int dc = 0;
static DEVMAP dv[MAX_DEVMAP];

int
devmap_insert(const char *name,
	      const char *path)
{
    int i;


    for (i = 0; i < dc && strcmp(dv[i].name, name) != 0; i++)
	;

    if (i < dc || i == MAX_DEVMAP)
	return -1;

    dv[dc].name = strdup(name);
    dv[dc].path = strdup(path);

    return dc++;
}


const char *
devmap_lookup(const char *name)
{
    int i;


    for (i = 0; i < dc && strcmp(dv[i].name, name) != 0; i++)
	;

    if (i < dc)
	return NULL;

    return dv[i].path;
}

