/*
** print.c - Print various data structures
**
** Copyright (c) 2005 Peter Eriksson <pen@lysator.liu.se>
*/

#ifndef PJC_PRINT_H
#define PJC_PRINT_H 1

#include <stdio.h>
#include <sys/types.h>

#include "scsi.h"


extern void
print_sense(FILE *fp,
	    SCSI_SENSE *ssp);

extern void
print_sense_verbose(FILE *fp,
		    SCSI_SENSE *ssp);

extern void
print_element_status(FILE *fp,
		     unsigned char *buf,
		     size_t buflen,
		     unsigned int element);

extern void
print_element_status_verbose(FILE *fp,
			     unsigned char *buf,
			     size_t buflen,
			     unsigned int element);

extern void
print_mode_page_parameter_header(FILE *fp,
				 unsigned char *buf);

extern void
print_mode_page_element_address_assignment(FILE *fp,
					   unsigned char *buf,
					   size_t buflen);

extern void
print_buffer(FILE *fp,
	     const char *header,
	     void *buffer,
	     size_t buflen);

#endif
